post
https://sandbox.saner.secpod.com/AncorWebService/perform
Start a scan on one endpoint device, identified by hostname, IP, or MAC.
This method is used to start a scan on endpoints. At least one of hostname, ip, mac should be passed.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Hostname of the device to be scanned | No | string |
| ip | IP address of the device | No | string |
| mac | MAC address of the device | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.scan(
hostname="host1"
)
print(response)
client.close()Requires Python 3.9 or later.